ranges::actions::shuffle_fn Struct Reference

## Synopsis of methods

constexpr shuffle_fn | shuffle {}

## Public Member Functions

template<typename Gen >
constexpr auto | operator() (Gen &gen) const requires uniform_random_bit_generator< Gen >
template<typename Gen >
constexpr auto | operator() (Gen &&gen) const requires uniform_random_bit_generator< Gen >
template<typename Rng , typename Gen >
auto | operator() (Rng &&rng, Gen &&gen) const -> Rng requires random_access_range< Rng > &&permutable< iterator_t< Rng >> &&uniform_random_bit_generator< std::remove_reference_t< Gen >> &&convertible_to< invoke_result_t< Gen &>, range_difference_t< Rng >>

## Methods

## shuffle

constexpr shuffle_fn shuffle {}

related

See also
  `action_closure`